'use strict';var mongoose=require('mongoose'),storeMongo=require('@common-stack/store-mongo');const marketingContactModelSchema = new mongoose.Schema({
  originalId: {
    type: mongoose.Schema.Types.String
  },
  uuid: {
    type: mongoose.Schema.Types.String
  },
  orgName: {
    type: mongoose.Schema.Types.String,
    default: 'leslie89899'
  },
  name: {
    type: mongoose.Schema.Types.String
  },
  firstName: {
    type: mongoose.Schema.Types.String
  },
  lastName: {
    type: mongoose.Schema.Types.String
  },
  fullName: {
    type: mongoose.Schema.Types.String
  },
  address: {
    type: mongoose.Schema.Types.String
  },
  addressDescription: {
    type: mongoose.Schema.Types.String
  },
  address2: {
    type: mongoose.Schema.Types.String
  },
  city: {
    type: mongoose.Schema.Types.String
  },
  state: {
    type: mongoose.Schema.Types.String
  },
  country: {
    type: mongoose.Schema.Types.String
  },
  zip: {
    type: mongoose.Schema.Types.String
  },
  phone: {
    type: mongoose.Schema.Types.String
  },
  phoneExt: {
    type: mongoose.Schema.Types.String
  },
  phone2: {
    type: mongoose.Schema.Types.String
  },
  email: {
    type: mongoose.Schema.Types.String
  },
  company: {
    type: mongoose.Schema.Types.String
  },
  ip: {
    type: mongoose.Schema.Types.String
  },
  datestamp: {
    type: mongoose.Schema.Types.Date
  },
  use: {
    type: mongoose.Schema.Types.String
  },
  code: {
    type: mongoose.Schema.Types.String
  },
  optIn: {
    type: mongoose.Schema.Types.Boolean
  },
  createDate: {
    type: mongoose.Schema.Types.Date
  },
  isGuest: {
    type: mongoose.Schema.Types.Boolean
  },
  mailerType: {
    type: mongoose.Schema.Types.String
  },
  optOutReason: {
    type: mongoose.Schema.Types.String
  },
  lastVrUpdate: {
    type: mongoose.Schema.Types.Date
  },
  bounceCounter: {
    type: mongoose.Schema.Types.Number
  },
  site: {
    type: mongoose.Schema.Types.String
  },
  lastLogin: {
    type: mongoose.Schema.Types.Date
  },
  isAppUser: {
    type: mongoose.Schema.Types.Boolean
  },
  interactionSent: {
    type: mongoose.Schema.Types.Boolean
  },
  isVerified: {
    type: mongoose.Schema.Types.Boolean
  },
  unit: {
    type: mongoose.Schema.Types.String
  },
  unitType: {
    type: mongoose.Schema.Types.String
  },
  isActive: {
    type: mongoose.Schema.Types.Boolean
  }
}, {
  ...storeMongo.commonModeSchemaOptions,
  collection: 'marketingContacts'
});
marketingContactModelSchema.pre('save', function (next) {
  if (!this.get('fullName')) {
    const [firstName, lastName] = this.get('fullName')?.split(' ') || [];
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    this.firstName = firstName;
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    this.lastName = lastName;
  } else {
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    this.fullName = `${this.get('firstName')} ${this.get('lastName')}`;
  }
  next();
});
storeMongo.addIdVirtualFields(marketingContactModelSchema);
const MarketingContactModelFunc = db => db.model('MarketingContact', marketingContactModelSchema);exports.MarketingContactModelFunc=MarketingContactModelFunc;//# sourceMappingURL=marketing.js.map
